/*
 *   FreeAdhocUDF - copyright (c) 2010 adhoc dataservice GmbH
 *   Christoph Theuring / Peter Mandrella / Georg Horn
 *   (bug-)reports only to help@adhoc-data.de
 *
 *   !!!!!!!!!!!!!!!!!! IMPORTANT !!!!!!!!!!!!!!!!!!!
 *   This is a NECESSARY update-script for the FreeAdhocUDf-functions
 *   F_DZERO, F_Z, F_C, F_E, F_G, F_K and F_PI 
 *   if you want to use the version adhoc20101111 (or further versions)
 *   AND you have DECLAIRED this UDFs with an older version then adhoc20101111
 *   You can run the COMPLETE script even you have NOT all UDFs declaired.
 *
 *   AFTER running this update-script you must REconnect to your database before you test 
 *
 *   Software distributed under the License is distributed on an
 *   "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 *   or implied. See the License for the specific language governing
 *   rights and limitations under the License.
 *
 */

/* for FreeAdhocUDFs F_DZERO, F_Z, F_C, F_E, F_G, F_K and F_PI */ 
UPDATE RDB$FUNCTION_ARGUMENTS FA SET FA.RDB$MECHANISM = -1 
WHERE FA.RDB$ARGUMENT_POSITION = 0 AND FA.RDB$MECHANISM = 0
AND EXISTS (SELECT 1 FROM RDB$FUNCTIONS F WHERE FA.RDB$FUNCTION_NAME = F.RDB$FUNCTION_NAME 
AND F.RDB$MODULE_NAME CONTAINING 'FreeAdhocUDF' 
AND (F.RDB$ENTRYPOINT = 'r_dividezero' OR F.RDB$ENTRYPOINT = 'r_z' 
OR F.RDB$ENTRYPOINT = 'c' OR F.RDB$ENTRYPOINT = 'euler' OR F.RDB$ENTRYPOINT = 'g' 
OR F.RDB$ENTRYPOINT = 'k' OR F.RDB$ENTRYPOINT = 'pi'));

/* adhoc 2010-10-20 */
